package applicationservlet;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.net.*;
import java.io.*;

public class Application extends JFrame implements ActionListener {
  private JLabel message = new JLabel("Bienvenue !");
  private JTextField saisie = new JTextField("Bienvenue !");
  private JButton envoyer = new JButton("Envoyer");
  private JPanel panneau = new JPanel();

  public void actionPerformed(ActionEvent e) {
    try {
      String adresse = "http://localhost:8080/ApplicationServlet/";
      String codageValeur = URLEncoder.encode(saisie.getText(), "ISO-8859-1");
      URL url = new URL(adresse+"ServletInversion?message=" + codageValeur);
      BufferedReader rponse = new BufferedReader (new InputStreamReader(url.openStream()));
      message.setText(rponse.readLine());
    }
    catch (IOException erreur) { message.setText("Erreur de communication"); }
  }
  public Application() {
    message.setForeground(Color.RED);
    message.setHorizontalAlignment(message.CENTER);
    message.setFont(new java.awt.Font("Dialog", 3, 24));
    saisie.setColumns(15);
    envoyer.addActionListener(this);
    panneau.setBackground(Color.BLUE);
    panneau.add(saisie);
    panneau.add(envoyer);
    this.setTitle("Communication application-servlet");
    this.setBounds(100, 100, 320, 200);
    this.getContentPane().setBackground(Color.ORANGE);
    this.getContentPane().add(message, BorderLayout.CENTER);
    this.getContentPane().add(panneau, BorderLayout.SOUTH);
    this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
  }
  public static void main(String[] args) {
    new Application().show();
  }
}
